Description

Using 'CLR' flag (which would in turn activate 'USEMALLOC').

The only problem seems to be exception handling, but MS says /clr can handle C++ exception

http://msdn.microsoft.com/en-us/library/633chdda%28v=vs.80%29.aspx

so in the end, it is mostly about testing..

Optional: Add syntax highlighting for Managed C++.

History

#1 - 11/06/2011 08:39 AM - Miroslav Fidler

- Priority changed from Normal to High

#2 - 11/06/2011 10:05 AM - Sender Ghost

The only problem seems to be exception handling, but MS says /clr can handle C++ exception

Yes, it is possible to use -EHa (enable C++ EH (w/ SEH exceptions)) compiler option.

The question:

Where to add -clr compiler option?

After adding it for C++ extension files, not all U++ packages compiles.

Also, -clr has sub-options, such as pure, safe, oldSyntax, initialAppDomain, noAssemlbly. Therefore, I think, this is package related only, configured

by developer.

#3 - 11/06/2011 10:54 AM - Sender Ghost

- File uppsrc_part1.diff added

- Category set to IDE

- Status changed from New to In Progress

- % Done changed from 0 to 50

Ok, here is first part of the patch for using CLR build option.

Tested for console and GUI U++ applications combined with managed C++ source code (invoking MessageBox::Show from 

System.Windows.Forms.dll along with PromptOK, for the GUI).

#4 - 11/06/2011 12:19 PM - Sender Ghost

- File uppsrc_part2.diff added

- Status changed from In Progress to Patch ready
http://msdn.microsoft.com/en-us/library/633chdda%28v=vs.80%29.aspx
http://msdn.microsoft.com/en-us/library/2ww6y7y2(v=vs.80).aspx#sectionSection4


- Assignee set to Miroslav Fidler

- % Done changed from 50 to 100

Here is second part of the patch related for syntax highlighting.

Not sure about for each statement.

#5 - 11/06/2011 01:45 PM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Sender Ghost

Applied, but I moved USEMALLOC thing from builder to Core - please check.

#6 - 11/06/2011 02:53 PM - Sender Ghost

- Status changed from Ready for QA to Approved

- Assignee changed from Sender Ghost to Miroslav Fidler

It works. Thanks.

Other thing is default SSE2 build flag for new packages, which incompatible for -clr compiler option:

cl : Command line error D8016 : '/arch:SSE2' and '/clr' command-line options are incompatible

Fortunately, it can be disabled.

#7 - 11/06/2011 03:08 PM - Sender Ghost

- File uppsrc_part3.diff added

- Status changed from Approved to Patch ready

Or fix it like this.

#8 - 11/06/2011 03:17 PM - Sender Ghost

But maybe this is fixed for newer MSC versions like Visual Studio 2010.

It was related for MSC9.

#9 - 11/06/2011 03:50 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

uppsrc_part1.diff 1.18 KB 11/06/2011 Sender Ghost

uppsrc_part2.diff 959 Bytes 11/06/2011 Sender Ghost

uppsrc_part3.diff 856 Bytes 11/06/2011 Sender Ghost

07/13/2025 2/2

http://msdn.microsoft.com/en-us/library/aa712824(v=VS.71).aspx
http://msdn.microsoft.com/en-us/library/ms177202%28VS.80%29.aspx
http://msdn.microsoft.com/en-us/library/7t5yh4fd.aspx

